
QGIS Application - Bug report #271

svn 2006.09.14 crashes after using "Move vertex" on an empty canvas

2006-09-15 04:04 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Gavin Macaulay -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10330

Description

1. start Qgis

2. press "Move vertex"

3. left-click on the canvas

4. crash:

#0  0xb6b86f3d in [[QgsVectorLayer]]::vectorType (this=0x0)

    at qgsvectorlayer.cpp:1300

#3905  0xb6afc115 in [[QgsMapToolVertexEdit]]::canvasPressEvent (this=0x8203380,

    e=0xbfe86088) at qgsmaptoolvertexedit.cpp:154

#3906  0xb6ad80cb in [[QgsMapCanvas]]::contentsMousePressEvent (this=0x8144118,

    e=0xbfe86088) at qgsmapcanvas.cpp:649

#3907  0xb7579792 in Q3ScrollView::viewportMousePressEvent ()

   from /usr/lib/libQt3Support.so.4

#3908  0xb7579e28 in Q3ScrollView::eventFilter () from /usr/lib/libQt3Support.so.4

#3909  0xb6fed796 in QApplicationPrivate::notify_helper ()

   from /usr/lib/libQtGui.so.4

#3910  0xb6feea5a in QApplication::notify () from /usr/lib/libQtGui.so.4

#3911  0xb703fe7d in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#3912  0xb703f568 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4

#3913  0xb705084e in non-virtual thunk to QDesktopWidget::~QDesktopWidget() ()

   from /usr/lib/libQtGui.so.4

#10 0xb77d568a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4

#3914 0xb77d589d in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#3915 0xb77d7fe7 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4

#3916 0xb6fed565 in QApplication::exec () from /usr/lib/libQtGui.so.4

#3917 0x0804c4b8 in main (argc=1, argv=0xbfe86cf4) at main.cpp:604

History

#1 - 2006-09-16 12:56 AM - Brendan Morley -

Probably best to start-up the Add/Move/Delete Vertex buttons disabled, so that this sequence can't occur.

#2 - 2006-09-18 02:00 AM - Marco Hugentobler
- Resolution set to fixed

- Status changed from Open to Closed

Optional toos are disabled now at startup.

#3 - 2006-09-22 01:53 PM - Redmine Admin

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

The bug is not fixed in current SVN HEAD. Still the tools are available at strtup and still 'Move vertex' -> click on canvas make QGIS crash.

Maciek

#4 - 2006-09-22 10:39 PM - Marco Hugentobler

It works for me with an updated svn copy (23.09.). The digitizing buttons are disabled after startup. I'm using QGIS on Kubuntu with qt-4.1.2.

Are there other developers/users where the digitising buttons are enabled at startup?

Marco

#5 - 2006-09-23 01:27 AM - anonymous -

- Resolution set to fixed

- Status changed from Feedback to Closed

My bad, please accept apologies. I tested with an older build by mistake. It's fixed in the yesterday's one.

Maciek

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
